Bug 1306849 - Refactor Red Hat Access Client JS to Proxy through Satellite
Summary: Refactor Red Hat Access Client JS to Proxy through Satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-foreman-redhat_access
Version: Unspecified
Hardware: All
OS: All
high
high vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1306848
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-11 21:46 UTC by Keith Robertson
Modified: 2019-04-01 20:26 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman-redhat_access-1.0.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1306848
Environment:
Last Closed: 2016-07-27 09:23:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Keith Robertson 2016-02-11 21:46:21 UTC
Cloning this BZ for 6.2.0

+++ This bug was initially created as a clone of Bug #1306848 +++

Remove the CORS dependency in the Red Hat Access client JS and proxy all calls to the Red Hat Customer Portal through the Satellite 6 server.  

This is necessary because CORS support will be disabled in the Customer Portal soon and without this change the plug-in will stop functioning.

Comment 4 jcallaha 2016-04-14 18:31:19 UTC
Verified in Satellite 6.2 Beta Snap 8 Compose 1.

Comment 8 errata-xmlrpc 2016-07-27 09:23:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.